Description

Currently I hosted the schema files relative to Dataset #3 in the following directory:

https://goo.gl/e5HwxJ

Is it possible to make them accessible through a nice public url, so that I can refer the schema within the xml records?

Something like datathon.openaire.eu/schema/$fileName should be OK. (where $fileName is one among the 5 schema files).

History

#1 - Nov 14, 2017 06:12 PM - Andrea Dell'Amico

Hm. I need to pollute the haproxy configuration to setup explicit URL for each one of those. If they must be hidden inside a XML document, is it a

problem to use the data generated URLs?

#2 - Nov 14, 2017 06:37 PM - Claudio Atzori

Let's host the schema files from a static website. Something like the url below will do the job.

http://datathon.openaire.eu/datathon-schema/$filename

 I think we'll need to serve the files from port 80, I have no idea about the tools used for the xml validation by the datathon participants, but it is

possible that they might not work with SSL. 

Please give me a note when the files will be ready.

#3 - Nov 15, 2017 01:02 AM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 100

Done. You can access the files at these URLs:

http://datathon.openaire.eu/datathon-schema/oaf-common-1.1.xsd

http://datathon.openaire.eu/datathon-schema/oaf-dataset-1.1.xsd

http://datathon.openaire.eu/datathon-schema/oaf-org-1.1.xsd

http://datathon.openaire.eu/datathon-schema/oaf-project-1.1.xsd

http://datathon.openaire.eu/datathon-schema/oaf-publication-1.1.xsd

(and at the https equivalents)

#4 - Nov 15, 2017 01:04 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

If you need to modify/add/whatever file, you can access the directory with the static content using sftp:

sftp datathon-schema@static-web.d4science.org

 And then move into the datathon-schema directory.

#5 - Nov 15, 2017 09:26 AM - Claudio Atzori

- Status changed from Feedback to Closed
Thanks Andrea!
